Bug 111479 - patch: fix for perl(SNMP) getnext not always returning OID while using async callbacks
Summary: patch: fix for perl(SNMP) getnext not always returning OID while using async ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-04 11:57 UTC by Kaj J. Niemi
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 14:41:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch #11 (net-snmp-5.1-async-getnext.patch) (3.23 KB, patch)
2003-12-04 11:58 UTC, Kaj J. Niemi
no flags Details | Diff

Description Kaj J. Niemi 2003-12-04 11:57:49 UTC
Description of problem:

While using the perl SNMP module provided with net-snmp with
asynchronous callbacks it does not always return correctly the OID for
an snmp getnext query (it does return the value though). The attached
patch fixes this... the problem lies in the fact that the numerical
oid is set in an old fashion (or just set differently by the original
writer of that particular piece of code) compared to how it's done in
the rest of the SNMP.xs module.

Comment 1 Kaj J. Niemi 2003-12-04 11:58:33 UTC
Created attachment 96333 [details]
Patch #11 (net-snmp-5.1-async-getnext.patch)

Comment 2 Phil Knirsch 2003-12-10 14:41:51 UTC
Patch looks good, will include in net-snmp-5.1-3 and later.

And thanks again! ;-)

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.